Bug when using Java 8

Solved: install JSesh 6.5.5.

Ok, this is the same as the previous bug, but I'm more precise now.
On windows, don't try to run JSesh with Java 8 installed now. Fetch a version of Java 1.7 instead. I willl find a solution when I have time.

Basically, Oracle modified the way of launching java programs, without telling anyone, and without checking it didn't break existing code.
It does.

A Very important warning : if you install with java8, and try to launch JSesh as usual, a window with "Open With" will open.
DON'T CHOOSE ANYTHING! CANCEL!.

So, if you try this:

Opening JSeshOpening JSesh

and get this:

Windows can't find java ?: Problem met with windows 8 and JSesh... don't choose anything, cancel!Windows can't find java ?: Problem met with windows 8 and JSesh... don't choose anything, cancel!

Don't choose any program. Cancel (either with the "cancel" button, or by clicking the red cross).

If you really want to use Java 8 (for instance, because you use another software which depends on it), then you can open the JSesh folder, go to the "libJSesh" folder, and select jseshAppli.jar. Create a shortcut to it. This shortcut will run ok (or, alternatively, you can double click on jseshAppli.jar).

You can move the shortcut, but not the original jar file.

Creating a shortcutCreating a shortcut
The only thing is that the new shortcut sets a relatively low max memory for JSesh (which is usually not a problem, though).

Temporary Workaround